package com.logicbig.example;


import javax.ws.rs.*;

@Path("orders")
@Produces("text/plain")
@Consumes("text/plain")
public class OrderService {

    @GET
    @Path("{orderId}")
    public String getOrderAsTextById2(
            @PathParam("orderId") String orderId) {
        return "returning order with id " + orderId;
    }

    @GET
    @Path("{orderId}")
    @Produces("application/json")
    public String getOrderAsHtmlById(
            @PathParam("orderId") String orderId) {
        //returning JSON response
        return "{\"orderId\": \"" + orderId + "\", \"customer\": John}";
    }
}